commit:     8bfbdc995d1f62c98201aeed7ea6ed6af17beb77
Author:     Miroslav Šulc <fordfrog <AT> gentoo <DOT> org>
AuthorDate: Sun Jul 13 10:09:53 2025 +0000
Commit:     Miroslav Šulc <fordfrog <AT> gentoo <DOT> org>
CommitDate: Sun Jul 13 10:09:53 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8bfbdc99

dev-db/timescaledb: bump to 2.21.0

Signed-off-by: Miroslav Šulc <fordfrog <AT> gentoo.org>

 dev-db/timescaledb/Manifest                  |  1 +
 dev-db/timescaledb/timescaledb-2.21.0.ebuild | 65 ++++++++++++++++++++++++++++
 2 files changed, 66 insertions(+)

diff --git a/dev-db/timescaledb/Manifest b/dev-db/timescaledb/Manifest
index 0222870d6216..30c2bb309b06 100644
--- a/dev-db/timescaledb/Manifest
+++ b/dev-db/timescaledb/Manifest
@@ -1,2 +1,3 @@
 DIST timescaledb-2.19.3.tar.gz 8010948 BLAKE2B 
f1bf6b376c281b35f154f47d00c1e7777cf7cfe9bece09097ac28d0d14b90f23c589f2cd8e5377fda1a65ef066530c8d958d0456d320304da26d013c318e12bd
 SHA512 
44310ddced2899b6a60989fc5e96aa4c999898e5ec59a29ea1bc4c82e6ae9339fa11fd6e20805a2d09a351c1c6fe1429593367f73a91229043c02ba6648468e7
 DIST timescaledb-2.20.3.tar.gz 7802166 BLAKE2B 
5dcc9c121d2dee7bf81f92ed38c8a32c23fa2ea814aa52d6253fba921e13e5937836a39a018c6decf1941b5362e7849336ab6cdb32385b5a44ac324895da613d
 SHA512 
657dd5d5f6583b03a8daccbe9c4432d810614c65700a881ac5e30e0a75d4f07083d1085c71682552fe46e4bb211439b37bbf2b267d41d1ed60744d83776a42b6
+DIST timescaledb-2.21.0.tar.gz 7904892 BLAKE2B 
5813f4d5d00b7ca3a7f01b66f4a524fdaed88d4213d1fca10a2455ecca8771d69554d2906eb63c2d002fa8dc367e27776db9901967cd8b63764cccc73d84f55b
 SHA512 
30922224899ccd442728240e4f91403e4a999d48baeccab02a59476521d534f1d986f8466cea709e7b2ecf0ffded6cec1c7865bcdd3e510f1f2b5e95de8e9a64

diff --git a/dev-db/timescaledb/timescaledb-2.21.0.ebuild 
b/dev-db/timescaledb/timescaledb-2.21.0.ebuild
new file mode 100644
index 000000000000..2a59f8c42a15
--- /dev/null
+++ b/dev-db/timescaledb/timescaledb-2.21.0.ebuild
@@ -0,0 +1,65 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+POSTGRES_COMPAT=( 15 16 17 )
+POSTGRES_USEDEP="ssl"
+
+inherit postgres-multi cmake
+
+DESCRIPTION="Open-source time-series SQL database"
+HOMEPAGE="https://www.timescale.com/";
+SRC_URI="https://github.com/timescale/${PN}/archive/${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="POSTGRESQL Apache-2.0 proprietary-extensions? ( timescale )"
+SLOT=0
+KEYWORDS="~amd64"
+IUSE="proprietary-extensions"
+
+RESTRICT="test"
+
+DEPEND="${POSTGRES_DEP}"
+RDEPEND="${DEPEND}"
+
+CMAKE_IN_SOURCE_BUILD=yes
+CMAKE_BUILD_TYPE="RelWithDebInfo"
+BUILD_DIR=${WORKDIR}/${P}
+
+src_prepare() {
+       postgres-multi_src_prepare
+       postgres-multi_foreach cmake_src_prepare
+}
+
+timescale_configure() {
+       local CMAKE_USE_DIR=$BUILD_DIR
+       local mycmakeargs=( 
"-DPG_CONFIG=/usr/bin/pg_config${MULTIBUILD_VARIANT}" "-DREGRESS_CHECKS=OFF" )
+
+       # licensing is tied to features, this useflag disables the non-apache2 
licensed bits
+       if ! use proprietary-extensions ; then
+               mycmakeargs+=("-DAPACHE_ONLY=ON")
+       fi
+       cmake_src_configure
+}
+
+src_configure() {
+       postgres-multi_foreach timescale_configure
+}
+
+timescale_src_compile() {
+       local CMAKE_USE_DIR=$BUILD_DIR
+       cmake_src_compile
+}
+
+src_compile() {
+       postgres-multi_foreach timescale_src_compile
+}
+
+timescale_src_install() {
+       local CMAKE_USE_DIR=$BUILD_DIR
+       cmake_src_install
+}
+
+src_install() {
+       postgres-multi_foreach timescale_src_install
+}

Reply via email to